<?php
/****************************************************************************************
SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV

Version 0.9.6
Copyright (C) 2006  Sylvain FATOME

This program is free software; you can redistribute it and/or modify it under the terms
of the GNU General Public License as published by the Free Software Foundation; 
either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; 
without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program
(in the directory docs); 
if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor, 
Boston, MA  02110-1301, USA.

Contact : galawa@free.fr
****************************************************************************************/

include ("../inc/config.inc.php");
?>
<?php include ("../inc/func.inc.php") ?>
<?php include ("../inc/func_date.inc.php") ?>
<?php include ("../inc/func_log.inc.php") ?>
<?php require ("../inc/func_txt.inc.php") ?>
<?php include ("../inc/lst.inc.php") ?>
<?php include ("../inc/fic.inc.php") ?>
<?php include ("emailing.inc.php") ?>
<?php include("../classes/fckeditor/fckeditor.php") ; ?>
<?PHP
	Archivelog(@$HTTP_SESSION_VARS["code_log"]);
?>
<?php
	$typdde = strip_tags(trim(@$_GET['td'])); // On récupère le type en ligne de commande

	if ($typdde == "") // Si vide, on récupère le type en post du formulaire (si c'est toujours vide, c'est une erreur ou un hack...)
		$typdde = strip_tags(trim($_POST['td']));
	
	$email_ok = TRUE;
	$email_envoye = FALSE;
	$retourliste = TRUE;

	// Vérification du mode du connecté (pour éviter les hacks)
	if (@$HTTP_SESSION_VARS["niv_log"] <= 3)
		$email_ok = FALSE;

	// Les agences n'ont droit qu'aux emailings clients et techniciens
	if (@$HTTP_SESSION_VARS["niv_log"] == 4)
	{
		if (($typdde <> "cli") AND ($typdde <> "tec"))
			$email_ok = FALSE;
	}
	
	switch ($typdde)
	{
		case "age" :
			$titre = "EMAILING AGENCES";
			
			$cat = strip_tags(trim(@$_POST["cat"]));
			$dep = @$_POST["deptxt"];
			$zone = @$_POST["zonetxt"];
			$sujet = strip_tags(trim(stripslashes(@$_POST["sujet"])));
			$txt = stripslashes($_POST['FCKeditor1']);
			for ($i = 0; $i < count($_POST["type_dest"]); $i++)
			{
				$type_mail[$_POST["type_dest"][$i]-1] = 1;
			}
			if (strip_tags(trim(@$_POST["RAZ"])) == "Réinitialiser")
			{
				$cat = "";
				$dep = "";
				$zone = "";
				$sujet = "";
				$txt = "";
				unset($_POST["type_dest"]);
			}
	
			if (strip_tags(trim(@$_POST["envoi"])) == "Expédier")
			{
				if ($txt <> "") // Le texte envoyé doit exister
				{
					if ($sujet <> "") // L'email doit avoir un sujet
					{
						if (count($_POST["type_dest"]) <> 0) // Il doit y avoir un type de destinataire
						{
							$niv_util = @$HTTP_SESSION_VARS["niv_log"];
							// Détermination de l'expéditeur
							switch ($niv_util)
							{
								case 9 : 
									$typeexp = "adm";
									break;
								case 5 : 
									$typeexp = "cdg";
									break;
								case 4 : 
									$typeexp = "age";
									break;
						  default : 
									break;
							}
						
							if (count($_POST["age_choisie"]) <> 0) // Il doit y avoir au moins une agence sélectionnée
							{
								for ($i = 0; $i < count($_POST["age_choisie"]); $i++)
								{
									$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
									mysql_select_db(DBNAME);
				
									$rech = "SELECT * FROM `" .TBAGE. "` WHERE `age_id`= '".$_POST["age_choisie"][$i]."'";
									$rs = mysql_query($rech);
									if (mysql_num_rows($rs) == 1) // Il ne peut y avoir qu'un seul résultat
									{
										if ($row = mysql_fetch_array($rs))
										{
											extract ($row);
											$email_envoye = envoi_emailing("age",$type_mail,$age_code,$typeexp,(@$HTTP_SESSION_VARS["code_log"]),$txt,$sujet);
											if ($email_envoye == false)
											{
												$msg = "Problème lors de l'envoi de l'emailing.";
												$retourliste = FALSE;
												break;
											}
										}
									}
									else
									{
										mysql_close($conn);
										mysql_free_result($rs);
									}
								}
							}
							else
							{
								$msg = "Vous n'avez choisi aucune agence.";
								$retourliste = FALSE;
								break;
							}
						}
						else
						{
							$msg = "Vous n'avez choisi aucun type de destinataire.";
							$retourliste = FALSE;
							break;
						}
					}
					else
					{
						$msg = "Vous n'avez pas saisi le sujet de votre message.";
						$retourliste = FALSE;
						break;
					}
				}
				else
				{
					$msg = "Le texte de votre email est vide.";
					$retourliste = FALSE;
					break;
				}
			}

			break;

		case "cli" :
			$titre = "EMAILING CLIENTS";

			$cat = strip_tags(trim(@$_POST["cat"]));
			if (@$HTTP_SESSION_VARS["niv_log"] == 4)
				$age = @$HTTP_SESSION_VARS["code_age"];
			else
				$age = strip_tags(trim(@$_POST["age"]));
			$dep = @$_POST["deptxt"];
			$sujet = strip_tags(trim(stripslashes(@$_POST["sujet"])));
			$txt = stripslashes($_POST['FCKeditor1']);
			for ($i = 0; $i < count($_POST["type_dest"]); $i++)
			{
				$type_mail[$_POST["type_dest"][$i]-1] = 1;
			}
			if (strip_tags(trim(@$_POST["RAZ"])) == "Réinitialiser")
			{
				$cat = "";
				if (@$HTTP_SESSION_VARS["niv_log"] == 4)
					$age = @$HTTP_SESSION_VARS["code_age"];
				else
					$age = "";
				$dep = "";
				$sujet = "";
				$txt = "";
				unset($_POST["type_dest"]);
			}

			if (strip_tags(trim(@$_POST["envoi"])) == "Expédier")
			{
				if ($txt <> "") // Le texte envoyé doit exister
				{
					if ($sujet <> "") // L'email doit avoir un sujet
					{
						if (count($_POST["type_dest"]) <> 0) // Il doit y avoir au moins un type de destinataire
						{
							$niv_util = @$HTTP_SESSION_VARS["niv_log"];
							// Détermination de l'expéditeur
							switch ($niv_util)
							{
								case 9 : 
									$typeexp = "adm";
									break;
								case 5 : 
									$typeexp = "cdg";
									break;
								case 4 : 
									$typeexp = "age";
									break;
						  		default : 
									break;
							}
						
							if (count($_POST["cli_choisi"]) <> 0) // Il doit y avoir au moins un client de choisi
							{
								for ($i = 0; $i < count($_POST["cli_choisi"]); $i++)
								{
									$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
									mysql_select_db(DBNAME);
				
									$rech = "SELECT * FROM `" .TBCLI. "` WHERE `cli_id`= '".$_POST["cli_choisi"][$i]."'";
									$rs = mysql_query($rech);
									if (mysql_num_rows($rs) == 1) // Il ne peut y avoir qu'un seul résultat
									{
										if ($row = mysql_fetch_array($rs))
										{
											extract ($row);
											$email_envoye = envoi_emailing("cli",$type_mail,$cli_code,$typeexp,(@$HTTP_SESSION_VARS["code_log"]),$txt,$sujet);
											if ($email_envoye == false)
											{
												$msg = "Problème lors de l'envoi de l'emailing.";
												$retourliste = FALSE;
												break;
											}
										}
									}
									else
									{
										mysql_close($conn);
										mysql_free_result($rs);
									}
								}
							}
							else
							{
								$msg = "Vous n'avez choisi aucun client.";
								$retourliste = FALSE;
								break;
							}
						}
						else
						{
							$msg = "Vous n'avez choisi aucun type de destinataire.";
							$retourliste = FALSE;
							break;
						}
					}
					else
					{
						$msg = "Vous n'avez pas saisi le sujet de votre message.";
						$retourliste = FALSE;
						break;
					}
				}
				else
				{
					$msg = "Le texte de votre email est vide.";
					$retourliste = FALSE;
					break;
				}
			}

			break;

		case "ope" :
			$titre = "EMAILING OPERATEURS";

			$dep = @$_POST["deptxt"];
			$sujet = strip_tags(trim(stripslashes(@$_POST["sujet"])));
			$txt = stripslashes($_POST['FCKeditor1']);

			if (strip_tags(trim(@$_POST["RAZ"])) == "Réinitialiser")
			{
				$dep = "";
				$sujet = "";
				$txt = "";
			}

			if (strip_tags(trim(@$_POST["envoi"])) == "Expédier")
			{
				if ($txt <> "") // Le texte envoyé doit exister
				{
					if ($sujet <> "") // L'email doit avoir un sujet
					{
						$niv_util = @$HTTP_SESSION_VARS["niv_log"];
						// Détermination de l'expéditeur
						switch ($niv_util)
						{
							case 9 : 
								$typeexp = "adm";
								break;
							case 5 : 
								$typeexp = "cdg";
								break;
							case 4 : 
								$typeexp = "age";
								break;
					  default : 
								break;
						}
					
						if (count($_POST["ope_choisi"]) <> 0) // Il doit y avoir au moins un opérateur de choisi
						{
							for ($i = 0; $i < count($_POST["ope_choisi"]); $i++)
							{
								$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
								mysql_select_db(DBNAME);
			
								$rech = "SELECT * FROM `" .TBOPE. "` WHERE `ope_id`= '".$_POST["ope_choisi"][$i]."'";
								$rs = mysql_query($rech);
								if (mysql_num_rows($rs) == 1) // Il ne peut y avoir qu'un seul résultat
								{
									if ($row = mysql_fetch_array($rs))
									{
										extract ($row);
										$email_envoye = envoi_emailing("ope","",$ope_code,$typeexp,(@$HTTP_SESSION_VARS["code_log"]),$txt,$sujet);
										if ($email_envoye == false)
										{
											$msg = "Problème lors de l'envoi de l'emailing.";
											$retourliste = FALSE;
											break;
										}
									}
								}
								else
								{
									mysql_close($conn);
									mysql_free_result($rs);
								}
							}
						}
						else
						{
							$msg = "Vous n'avez choisi aucun opérateur.";
							$retourliste = FALSE;
							break;
						}
					}
					else
					{
						$msg = "Vous n'avez pas saisi le sujet de votre message.";
						$retourliste = FALSE;
						break;
					}
				}
				else
				{
					$msg = "Le texte de votre email est vide.";
					$retourliste = FALSE;
					break;
				}
			}

			break;

		case "tec" :
			$titre = "EMAILING TECHNICIENS";
			if (@$HTTP_SESSION_VARS["niv_log"] == 4)
				$age = @$HTTP_SESSION_VARS["code_age"];
			else
				$age = strip_tags(trim(@$_POST["age"]));
			$dep = @$_POST["deptxt"];
			$sujet = strip_tags(trim(stripslashes(@$_POST["sujet"])));
			$txt = stripslashes($_POST['FCKeditor1']);

			if (strip_tags(trim(@$_POST["RAZ"])) == "Réinitialiser")
			{
				if (@$HTTP_SESSION_VARS["niv_log"] == 4)
					$age = @$HTTP_SESSION_VARS["code_age"];
				else
					$age = "";
				$dep = "";
				$sujet = "";
				$txt = "";
			}

			if (strip_tags(trim(@$_POST["envoi"])) == "Expédier")
			{
				if ($txt <> "") // Le texte envoyé doit exister
				{
					if ($sujet <> "") // L'email doit avoir un sujet
					{
						$niv_util = @$HTTP_SESSION_VARS["niv_log"];
						// Détermination de l'expéditeur
						switch ($niv_util)
						{
							case 9 : 
								$typeexp = "adm";
								break;
							case 5 : 
								$typeexp = "cdg";
								break;
							case 4 : 
								$typeexp = "age";
								break;
					  default : 
								break;
						}
					
						if (count($_POST["tec_choisi"]) <> 0) // Il doit y avoir au moins un technicien de choisi
						{
							for ($i = 0; $i < count($_POST["tec_choisi"]); $i++)
							{
								$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
								mysql_select_db(DBNAME);
			
								$rech = "SELECT * FROM `" .TBTEC. "` WHERE `tec_id`= '".$_POST["tec_choisi"][$i]."'";
								$rs = mysql_query($rech);
								if (mysql_num_rows($rs) == 1) // Il ne peut y avoir qu'un seul résultat
								{
									if ($row = mysql_fetch_array($rs))
									{
										extract ($row);
										$email_envoye = envoi_emailing("tec","",$tec_code,$typeexp,(@$HTTP_SESSION_VARS["code_log"]),$txt,$sujet);
										if ($email_envoye == false)
										{
											$msg = "Problème lors de l'envoi de l'emailing.";
											$retourliste = FALSE;
											break;
										}
									}
								}
								else
								{
									mysql_close($conn);
									mysql_free_result($rs);
								}
							}
						}
						else
						{
							$msg = "Vous n'avez choisi aucun technicien.";
							$retourliste = FALSE;
							break;
						}
					}
					else
					{
						$msg = "Vous n'avez pas saisi le sujet de votre message.";
						$retourliste = FALSE;
						break;
					}
				}
				else
				{
					$msg = "Le texte de votre email est vide.";
					$retourliste = FALSE;
					break;
				}
			}
			break;
		default :
			$email_ok = FALSE;
			break;
	}
	
	function verif_choix_dest($choix)
	{
		for ($i = 0; $i < count($_POST["type_dest"]); $i++)
			if($choix == $_POST["type_dest"][$i])
		         return true;
	}

	function verif_choix_age($choix)
	{
		for ($i = 0; $i < count($_POST["age_choisie"]); $i++)
			if($choix == $_POST["age_choisie"][$i])
		         return true;
	}

	function verif_choix_cli($choix)
	{
		for ($i = 0; $i < count($_POST["cli_choisi"]); $i++)
			if($choix == $_POST["cli_choisi"][$i])
		         return true;
	}

	function verif_choix_ope($choix)
	{
		for ($i = 0; $i < count($_POST["ope_choisi"]); $i++)
			if($choix == $_POST["ope_choisi"][$i])
		         return true;
	}

	function verif_choix_tec($choix)
	{
		for ($i = 0; $i < count($_POST["tec_choisi"]); $i++)
			if($choix == $_POST["tec_choisi"][$i])
		         return true;
	}

?>	

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>SMI - ESPACE PRIVE : Emailing</title>

<!-- Feuille de style pour les affichages courants -->
<link href="../css/smi.css" rel="stylesheet" type="text/css">

<!-- Feuille de style & Script pour le menu -->
<link href="../inc/menu.css" rel="stylesheet" type="text/css">
<script language="JavaScript" src="../coolmenus/coolmenus4.js"></script>

<!-- Scripts Javascript pour affichages -->
<script language="JavaScript" src="../inc/aff.js"></script>

<script language="JavaScript" type="text/JavaScript">
function aff_dep()
{
	var selectedList = new Array();
	var selectBox = document.email_maj.dep; 
	var txtdep = "";
	var txtdepfinal = "";
	for (var i=1; i<selectBox.options.length; i++) { 
	  if (selectBox.options[i].selected) 
	  {
		txtdep += selectBox.options[i].value+"-";
	  } 
	}
	txtdepfinal = txtdep.substring(0,txtdep.length-1);
	window.document.email_maj.deptxt.value=txtdepfinal;
}
</script>

<script language="JavaScript" type="text/JavaScript">
function aff_zone()
{
	var selectedList = new Array();
	var selectBox = document.email_maj.zone; 
	var txtzone = "";
	var txtzonefinal = "";
	for (var i=1; i<selectBox.options.length; i++) { 
	  if (selectBox.options[i].selected) 
	  {
		txtzone += selectBox.options[i].value+"-";
	  } 
	}
	txtzonefinal = txtzone.substring(0,txtzone.length-1);
	window.document.email_maj.zonetxt.value=txtzonefinal;
}
</script>
</head>

<body>

<?php 
	include_once ("../inc/entete.php"); 
?>
<p align="center"> <span class="titrepage"><?PHP echo $titre ?></span></p>
<p>&nbsp;</p>
<?PHP
if ($email_ok == TRUE)
{
	if ($email_envoye == FALSE)
	{
?>
<?PHP
	if ($retourliste == FALSE)
	{
?>
		<script type="text/javascript">
		alert ("<?PHP echo $msg; ?>");
		</script>
<?PHP
	}

	switch ($typdde)
	{
	/******************************************************/
	/**                    AGENCES                       **/
	/******************************************************/

	case "age" :
?>
		<!-- Scripts Javascript pour contrôle de formulaire -->
		<script	type="text/javascript" src="../jscript/vform/vform.js"></script>
		
		<script language="javascript">
		var tab1_champ=new Array(
			"nom:cat ; format:liste ; req:Y ; txt:Catégorie ; vmn:1 ; stok:frmok ; stbad:frmbad",
			"nom:dep[] ; format:listem ; req:N ; txt:Départements ; vmn:1 ; stok:frmok ; stbad:frmbad",
			"nom:zone[] ; format:listem ; req:N ; txt:Départements zone de chalandise; stok:frmok ; stbad:frmbad",
			"nom:sujet ; format:txt ; req:Y ; txt:Sujet ; lmx:50 ; stok:frmok ; stbad:frmbad");
		</script>
		
		<!-- Formulaire permettant la sélection des destinataires et l'envoi -->
		<form name="email_maj" id="email_maj" method="post" action="email_maj.php" onSubmit="javascript:; return (VForm(this,tab1_champ,''));">
			<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
			<input name="td" type="hidden" id="td" value="<?PHP echo $typdde ?>">
		
		<!-- Liste des catégories -->
		<table width="100%"  border="0">
		<tr>
		  <td width="20%" class="rubfrm" id="f_cat"><div align="right">Cat&eacute;gorie</div></td>
		  <td>
				<select name="cat" size="1" id="cat">
				<?PHP
				echo "<option>-- Choisissez une catégorie --</option>";
				
				if ($cat <> "")
				{
					if ($cat <> "TOUTES")
						echo "<option value=\"TOUTES\">-- TOUTES LES CATEGORIES --</option>";
					else
						echo "<option value=\"TOUTES\" selected>-- TOUTES LES CATEGORIES --</option>";
				}
	
				// Création de la liste des catégories
				
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rs = mysql_query("SELECT * FROM ".TBACAT." ORDER BY acat_desc");
				
				while ($resultat = mysql_fetch_array($rs)) 
				{
					extract($resultat);
		
					if ($cat == $acat_code)
					{
						echo '<option value="'.$acat_code.'" selected>'.$acat_desc.'</option>';
					}
					else
					{
						echo '<option value="'.$acat_code.'">'.$acat_desc.'</option>';
					}
				}
				mysql_free_result($rs);
				mysql_close($conn);
				?>
				</select>
				  <img src="../img/oblig.gif" width="10" height="11">
				<br>
				<span class="annot_petit_it">
				(Ne s'afficheront que les agences actives)				</span>		  </td>
		</tr>
		<tr>
		<td width="20%" class="rubfrm" id="f_dep"><div align="right">Résidant dans</div></td>
		<td>
			<select name="dep[]" size="5" id="dep" multiple="multiple" onBlur="aff_dep();">
		
			<?PHP
			echo "<option>-- Choisissez un ou des département(s) --</option>";

			// Création de la liste des départements
			
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query("SELECT * FROM ".TBDEP." ORDER BY dep_num");
			
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
		
				$chaine_dep = $dep_num." (".$dep_nom.")";
				
				if (dep_in_zc($dep_num,$dep) == TRUE)
					echo "<option value=\"".$dep_num."\" selected>".$chaine_dep."</option>";
				else
					echo "<option value=\"".$dep_num."\">".$chaine_dep."</option>";
			}
			mysql_free_result($rs);
			mysql_close($conn);
			?>
			</select>
			  <img src="../img/oblig.gif" width="10" height="11">
			 <span class="annot_petit_it">
			  (S&eacute;lectionnez les d&eacute;partements avec Ctrl + clic gauche)
			 <br>
			 D&eacute;partement(s) choisi(s) 
			 <input name="deptxt" type="text" id="deptxt" value="<?PHP echo $dep ?>" size="50" maxlength="50" readonly="1" style="background : #FFFFFF;" onFocus="window.document.age_maj.zone.focus();">
			 </span>
		</td>
		</tr>
		<tr>
		<td width="20%" class="rubfrm" id="f_zone"><div align="right">Zone couverte</div></td>
		<td>
			<select name="zone[]" size="5" id="zone" multiple="multiple" onBlur="aff_zone();">
		
			<?PHP
			echo "<option>-- Choisissez un ou des département(s) --</option>";

			// Création de la liste des départements
			
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query("SELECT * FROM ".TBDEP." ORDER BY dep_num");
			
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				$chaine_dep = $dep_num." (".$dep_nom.")";
				
				if (dep_in_zc($dep_num,$zone) == TRUE)
					echo "<option value=\"".$dep_num."\" selected>".$chaine_dep."</option>";
				else
					echo "<option value=\"".$dep_num."\">".$chaine_dep."</option>";
			}
			mysql_free_result($rs);
			mysql_close($conn);
			?>
			</select>
			 <span class="annot_petit_it">
			  (S&eacute;lectionnez les d&eacute;partements avec Ctrl + clic gauche)
			 <br>
			 D&eacute;partement(s) choisi(s) 
			 <input name="zonetxt" type="text" id="zonetxt" value="<?PHP echo $zone ?>" size="50" maxlength="50" readonly="1" style="background : #FFFFFF;" onFocus="window.document.age_maj.sujet.focus();">
			 </span>
			 <input name="OK" type="submit" id="OK" value="Rechercher">
			<br>
			<span class="annot_petit_it">(Num&eacute;ros de d&eacute;partements, s&eacute;par&eacute;s par des '-')</span>		</td>
		</tr>
		<tr>
		<td width="20%" class="rubfrm" id="f_sujet"><div align="right">Sujet du message</div></td>
		<td>
			<input name="sujet" type="text" id="sujet" size="50" maxlength="50" value="<?PHP echo $sujet; ?>">
				  <img src="../img/oblig.gif" width="10" height="11">
		</td>
		</tr>
		<tr>
		  <td width="20%" class="rubfrm" id="f_txt"><div align="right">Contenu du message</div></td>
		  <td>
			  <?PHP
					$sBasePath = $_SERVER['PHP_SELF'] ;
					$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "admin" ) ).'classes/fckeditor/' ;
		
					$oFCKeditor = new FCKeditor('FCKeditor1') ;
					$oFCKeditor->BasePath	= $sBasePath;
					$oFCKeditor->Value		= $txt;
					$oFCKeditor->Height 	= '400';
					$oFCKeditor->ToolbarSet = 'SMI';
					$oFCKeditor->Create();
		
				?>
				  <img src="../img/oblig.gif" width="10" height="11">
		 </td>
		 </tr>
		</table>
<?PHP
		// *** Affichage de la table
		if ($cat <> "")
		{
?>
			<table width="100%"  border="0">
			<tr>
				<td width="20%" class="rubfrm" id="f_dep"><div align="right">service(s) destinataire(s)</div></td>
				<td>
					G&eacute;n&eacute;ral : 
					<input type="checkbox" name="type_dest[]" style="background : #FFFFFF;" <? if(verif_choix_dest("1")) echo "checked"; ?> value="1">
					
					Direction : 
					<input type="checkbox" name="type_dest[]" style="background : #FFFFFF;" <? if(verif_choix_dest("2")) echo "checked"; ?> value="2">
					
					Comptabilit&eacute; : 
					<input type="checkbox" name="type_dest[]" style="background : #FFFFFF;" <? if(verif_choix_dest("3")) echo "checked"; ?> value="3">

					Technique : 
					<input type="checkbox" name="type_dest[]" style="background : #FFFFFF;" <? if(verif_choix_dest("4")) echo "checked"; ?> value="4">
				  <img src="../img/oblig.gif" width="10" height="11">
				</td>
			</tr>
			</table>
			
			<p align="center" class="titre_gras_soul">Listes des agences s&eacute;lectionn&eacute;es</p>
<?PHP
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			if ($cat <> "TOUTES")
				$rech = "SELECT * FROM " .TBAGE. " WHERE age_cat = '".$cat."' AND age_ouvert = '1'";
			else
				$rech = "SELECT * FROM " .TBAGE. " WHERE age_ouvert = '1'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			if (mysql_num_rows($rs) >0)
			{
				// Définition et entête de la table
				echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
	
				echo "<th>";
				echo "Code";
				echo "</th>\n";
				echo "<th>";
				echo "Nom";
				echo "</th>\n";
				echo "<th>";
				echo "Téléphone";
				echo "</th>\n";
				echo "<th>";
				echo "CP";
				echo "</th>\n";
				echo "<th>";
				echo "Zone Chalandise";
				echo "</th>\n";
				echo "<th>";
				echo "Choisir";
				echo "</th>\n";
		
				$i = 0;
		
				while ($row = mysql_fetch_assoc($rs)) 
				{
					if ($dep <> "") 
					{
						$dep_tab = explode("-",$dep);
						
						if (in_array($row["age_dep"],$dep_tab))
							$aff_ligne = TRUE;
						else
							$aff_ligne = FALSE;
					}
					else
						$aff_ligne = TRUE;	

					if ($aff_ligne == TRUE) // On ne teste la zone que si on peut encore afficher la ligne (sinon, ça ne sert à rien)
					{
						if ($zone <> "") 
						{
							$aff_ligne = FALSE; // On part du principe que l'agence n'est pas dans la zone recherchée
							
							$zone_tab_rech = explode("-",$zone);
							$zone_tab_age = explode("-",$row["age_zone"]);
							
							$zone_tab_rech_count = count($zone_tab_rech)-1;
							
							for ($j=0; $j<=$zone_tab_rech_count; $j++)
							{
								if ($zone_tab_rech[$j] <> "")
								{
									if (in_array($zone_tab_rech[$j],$zone_tab_age))
									{
										$aff_ligne = TRUE; // On a trouvé une correspondance, on valide l'affichage et on quite les boucles de test
										break;
									}
								}
							}
						}
						else
							$aff_ligne = TRUE;	
					}

					if ($aff_ligne == TRUE)
					{
						// Création de l'entête de ligne (TR)
						creetrlst($i);
		
						echo "<td>".$row["age_code"];
						echo "</td>\n";
						echo "<td>".$row["age_nom"]."</td>\n";
						echo "<td>".$row["age_telf"]."</td>\n";
						echo "<td>".retournecp($row["age_ville"])."</td>\n";
						echo "<td>".$row["age_zone"]."</td>\n";
						echo "<td align=\"center\">\n";
						if (strip_tags(trim(@$_POST["OK"])) == "Rechercher") // On vient de demander une recherche : on active pas défaut
						{
							echo "<input type=\"checkbox\" name=\"age_choisie[]\" value=\"".$row["age_id"]."\"";
							if($i%2 == 0)
								echo " style=\"background : #32CD32;\"";
							else
								echo " style=\"background : #00FF00;\"";
							echo" checked>";
						}
						else // Sinon on reprend en fonction de ce qui a été coché
						{
							echo "<input type=\"checkbox\" name=\"age_choisie[]\"";
							if(verif_choix_age($row["age_id"])) 
								echo "checked ";
							if($i%2 == 0)
								echo " style=\"background : #32CD32;\"";
							else
								echo " style=\"background : #00FF00;\"";
							echo "value=\"".$row["age_id"]."\">";
						}
						echo "</td>\n";
						echo "</tr>\n";
						
						$i++;
					}
				}  
				echo "</table>\n";
				// *** Fin affichage de la table
				
				$url_link = "email_maj.php?td=age";
?>
				<p align="center">
					<input name="envoi" type="submit" id="envoi" value="Expédier">
				</p>
<?PHP
			}
			else
			{
				echo "Aucune agence ouverte sur cette catégorie.";
			}
		}
?>
		<p align="center">
			<input name="RAZ" type="reset" id="RAZ" value="R&eacute;initialiser" onClick="javascript:; self.location.href=('<?PHP echo $url_link; ?>');">
		</p>
		</form>
		<!-- Fin du formulaire -->
<?PHP
		break;

	/******************************************************/
	/**                    CLIENTS                       **/
	/******************************************************/

	case "cli" :
?>
		<!-- Scripts Javascript pour contrôle de formulaire -->
		<script	type="text/javascript" src="../jscript/vform/vform.js"></script>
		
		<script language="javascript">
		var tab1_champ=new Array(
			"nom:cat ; format:liste ; req:Y ; txt:Catégorie ; vmn:1 ; stok:frmok ; stbad:frmbad",
		<?PHP if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
		{
		?>
			"nom:age ; format:liste ; req:Y ; txt:Agence ; vmn:1 ; stok:frmok ; stbad:frmbad",
		<?PHP
		}
		else
		{
		?>
			"nom:age ; format:alphanum ; req:Y ; txt:Agence ; stok:frmok ; stbad:frmbad",
		<?PHP
		}
		?>
			"nom:dep[] ; format:listem ; req:N ; txt:Départements ; vmn:1 ; stok:frmok ; stbad:frmbad",
			"nom:sujet ; format:txt ; req:Y ; txt:Sujet ; lmx:50 ; stok:frmok ; stbad:frmbad");
		</script>
		
		<!-- Formulaire permettant la sélection des destinataires et l'envoi -->
		<form name="email_maj" id="email_maj" method="post" action="email_maj.php" onSubmit="javascript:; return (VForm(this,tab1_champ,''));">
			<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
			<input name="td" type="hidden" id="td" value="<?PHP echo $typdde ?>">
		
		<!-- Liste des catégories -->
		<table width="100%"  border="0">
		<tr>
		  <td width="20%" class="rubfrm" id="f_cat"><div align="right">Cat&eacute;gorie</div></td>
		  <td>
				<select name="cat" size="1" id="cat">
				<?PHP
				
				echo "<option>-- Choisissez une catégorie --</option>";

				if ($cat <> "TOUTES")
					echo "<option value=\"TOUTES\">-- TOUTES LES CATEGORIES --</option>";
				else
					echo "<option value=\"TOUTES\" selected>-- TOUTES LES CATEGORIES --</option>";
	
				// Création de la liste des catégories
				$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
				mysql_select_db(DBNAME);
				$rs = mysql_query("SELECT * FROM ".TBCCAT." ORDER BY cat_desc");
				
				$i=0;
				
				while ($resultat = mysql_fetch_array($rs)) 
				{
					extract($resultat);
		
					if ($cat == $cat_code)
					{
						echo '<option value="'.$cat_code.'" selected>'.$cat_desc.'</option>';
					}
					else
					{
						echo '<option value="'.$cat_code.'">'.$cat_desc.'</option>';
					}
		
					$i++;
				}
				mysql_free_result($rs);
				mysql_close($conn);
				?>
				</select>
				  <img src="../img/oblig.gif" width="10" height="11">
			</td>
		</tr>
		<tr>
		  <td width="20%" class="rubfrm" id="f_age"><div align="right">Agence</div></td>
		  <td>
				<?PHP if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
				{
				?>
					<select name="age" size="1" id="age">
					<?PHP
					
					echo "<option>-- Choisissez une agence --</option>";

					if ($age <> "TOUTES")
						echo "<option value=\"TOUTES\">-- TOUTES LES AGENCES --</option>";
					else
						echo "<option value=\"TOUTES\" selected>-- TOUTES LES AGENCES --</option>";
		
					// Création de la liste des agences
					$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
					mysql_select_db(DBNAME);
					$rs = mysql_query("SELECT * FROM ".TBAGE." WHERE `age_ouvert` = '1' ORDER BY age_nom");
					
					while ($resultat = mysql_fetch_array($rs)) 
					{
						extract($resultat);
			
						if ($age == $age_code)
						{
							echo '<option value="'.$age_code.'" selected>'.$age_nom.'</option>';
						}
						else
						{
							echo '<option value="'.$age_code.'">'.$age_nom.'</option>';
						}
			
						$i++;
					}
					mysql_free_result($rs);
					mysql_close($conn);
					?>
					</select>
				<?PHP
				}
				else
				{
					$row = lit_enr_age($HTTP_SESSION_VARS["code_age"]);
					extract ($row);
				?>
					<input name="age" type="hidden" id="age" value="<?PHP echo $HTTP_SESSION_VARS["code_age"]; ?>">
					<input name="nagence" type="text" id="nagence" value="<?PHP echo $age_nom; ?>" size="50" maxlength="50" readonly="1">
				<?PHP
				}
				?>
				  <img src="../img/oblig.gif" width="10" height="11">
			</td>
		</tr>
		<tr>
		<td width="20%" class="rubfrm" id="f_dep"><div align="right">Résidant dans</div></td>
		<td>
			<select name="dep[]" size="5" id="dep" multiple="multiple" onBlur="aff_dep();">
		
			<?PHP
			echo "<option>-- Choisissez un ou des département(s) --</option>";

			// Création de la liste des départements
			
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query("SELECT * FROM ".TBDEP." ORDER BY dep_num");
			
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				$chaine_dep = $dep_num." (".$dep_nom.")";
				
				if (dep_in_zc($dep_num,$dep) == TRUE)
					echo "<option value=\"".$dep_num."\" selected>".$chaine_dep."</option>";
				else
					echo "<option value=\"".$dep_num."\">".$chaine_dep."</option>";
				
				$i++;
			}
			mysql_free_result($rs);
			mysql_close($conn);
			?>
			</select>
			 <span class="annot_petit_it">
			  (S&eacute;lectionnez les d&eacute;partements avec Ctrl + clic gauche)
			 <br>
			 D&eacute;partement(s) choisi(s) 
			 <input name="deptxt" type="text" id="deptxt" value="<?PHP echo $dep ?>" size="50" maxlength="50" readonly="1" style="background : #FFFFFF;" onFocus="window.document.age_maj.sujet.focus();">
			 </span>
			 <input name="OK" type="submit" id="OK" value="Rechercher">		
			<br>
			<span class="annot_petit_it">(Num&eacute;ros de d&eacute;partements, s&eacute;par&eacute;s par des '-')</span>		</td>
		</tr>
		<tr>
		<td width="20%" class="rubfrm" id="f_sujet"><div align="right">Sujet du message</div></td>
		<td>
			<input name="sujet" type="text" id="sujet" size="50" maxlength="50" value="<?PHP echo $sujet; ?>">
				  <img src="../img/oblig.gif" width="10" height="11">
		</td>
		</tr>
		<tr>
		  <td width="20%" class="rubfrm" id="f_txt"><div align="right">Contenu du message</div></td>
		  <td>
			  <?PHP
					$sBasePath = $_SERVER['PHP_SELF'] ;
					if (@$HTTP_SESSION_VARS["niv_log"] >= 5)
						$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "admin" ) ).'classes/fckeditor/' ;
					else
						$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "age" ) ).'classes/fckeditor/' ;
		
					$oFCKeditor = new FCKeditor('FCKeditor1') ;
					$oFCKeditor->BasePath	= $sBasePath;
					$oFCKeditor->Value		= $txt;
					$oFCKeditor->Height 	= '400';
					$oFCKeditor->ToolbarSet = 'SMI';
					$oFCKeditor->Create();
		
				?>
				  <img src="../img/oblig.gif" width="10" height="11">
		  </td>
		 </tr>
		</table>
<?PHP
		// *** Affichage de la table
		if (($cat <> "") AND ($age <> ""))
		{
?>
			<table width="100%"  border="0">
			<tr>
				<td width="20%" class="rubfrm" id="f_dep"><div align="right">service(s) destinataire(s)</div></td>
				<td>
					G&eacute;n&eacute;ral : 
					<input type="checkbox" name="type_dest[]" style="background : #FFFFFF;" <? if(verif_choix_dest("1")) echo "checked"; ?> value="1">
					
					Direction : 
					<input type="checkbox" name="type_dest[]" style="background : #FFFFFF;" <? if(verif_choix_dest("2")) echo "checked"; ?> value="2">
					
					Comptabilit&eacute; : 
					<input type="checkbox" name="type_dest[]" style="background : #FFFFFF;" <? if(verif_choix_dest("3")) echo "checked"; ?> value="3">

					Technique : 
					<input type="checkbox" name="type_dest[]" style="background : #FFFFFF;"<? if(verif_choix_dest("4")) echo "checked"; ?> value="4">
				  <img src="../img/oblig.gif" width="10" height="11">
				</td>
			</tr>
			</table>
			
			<p align="center" class="titre_gras_soul">Listes des clients s&eacute;lectionn&eacute;s</p>
<?PHP
			// Si agence choisie, on récupère les infos de cette agence
			if ($age <> "TOUTES")
			{
				$row2 = lit_enr_age($age);
				if (is_array($row2))
					extract($row2);
			}

			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			if ($cat <> "TOUTES")
				$rech = "SELECT * FROM " .TBCLI. " WHERE cli_cat = '".$cat."'";
			else
				$rech = "SELECT * FROM " .TBCLI;
			if ($age <> "TOUTES")
			{
				if(!stristr($rech,"WHERE "))
					$rech .= " WHERE cli_prop = '".$age."' OR cli_prop IS NULL";
				else
					$rech .= " AND (cli_prop = '".$age."' OR cli_prop IS NULL)";
			}
			$rech .= " ORDER BY cli_code";
			$rs = mysql_query($rech) or die(mysql_error());
	
			if (mysql_num_rows($rs) >0)
			{
				// Définition et entête de la table
				echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
	
				echo "<th>";
				echo "Code";
				echo "</th>\n";
				echo "<th>";
				echo "Nom";
				echo "</th>\n";
				echo "<th>";
				echo "Téléphone";
				echo "</th>\n";
				echo "<th>";
				echo "CP";
				echo "</th>\n";
				echo "<th>";
				echo "Choisir";
				echo "</th>\n";
		
				$i = 0;
		
				while ($row = mysql_fetch_assoc($rs)) 
				{
					if ($dep <> "") 
					{
						$dep_tab = explode("-",$dep);
						
						if (in_array($row["cli_dep"],$dep_tab))
							$aff_ligne = TRUE;
						else
							$aff_ligne = FALSE;
					}
					else
						$aff_ligne = TRUE;	
					
					if ($age <> "TOUTES") // Tests sir une agence a été choisie
					{
						if ($aff_ligne == TRUE)
						{
							// Vérifie que le département du client est dans la zone de chalandise de l'agence
							if ((dep_in_zc($row["cli_dep"],$age_zone)) == FALSE)
							{
								// Si pas dans la zone de chalandise, on affiche pas
								$aff_ligne = FALSE;
							}
						}
					}

					if ($aff_ligne == TRUE)
					{
						// Création de l'entête de ligne (TR)
						creetrlst($i);
		
						echo "<td>".$row["cli_code"];
						echo "</td>\n";
						echo "<td>";
						if ($row["cli_ste"] <> "")
							$txt_cli = $row["cli_ste"].", ".$row["cli_civilite"]." ".$row["cli_nom"]." ".$row["cli_prenom"];
						else
							$txt_cli = $row["cli_civilite"]." ".$row["cli_nom"]." ".$row["cli_prenom"];
						echo $txt_cli;
						echo "</td>\n";
						echo "<td>".$row["cli_telf"]."</td>\n";
						echo "<td>".retournecp($row["cli_ville"])."</td>\n";
						echo "<td align=\"center\">\n";
						// On vient de demander une recherche ou c'est la 1ère fois : on active pas défaut
						if ((strip_tags(trim(@$_POST["OK"])) == "Rechercher") OR (strip_tags(trim(@$_GET['td'])) == "cli"))
						{
							echo "<input type=\"checkbox\" name=\"cli_choisi[]\" value=\"".$row["cli_id"]."\"";
							if($i%2 == 0)
								echo " style=\"background : #32CD32;\"";
							else
								echo " style=\"background : #00FF00;\"";
							echo " checked>";
						}
						else // Sinon on reprend en fonction de ce qui a été coché
						{
							echo "<input type=\"checkbox\" name=\"cli_choisi[]\"";
							if(verif_choix_cli($row["cli_id"])) 
								echo "checked ";
							if($i%2 == 0)  
								echo " style=\"background : #32CD32;\"";
							else
								echo " style=\"background : #00FF00;\"";
							echo "value=\"".$row["cli_id"]."\">";
						}
						echo "</td>\n";
						echo "</tr>\n";
						
						$i++;
					}
				}  
				echo "</table>\n";
				// *** Fin affichage de la table
				
				$url_link = "email_maj.php?td=cli";
?>
				<p align="center">
					<input name="envoi" type="submit" id="envoi" value="Expédier">
				</p>
<?PHP
			}
			else
			{
				echo "Aucun client sur ces critères.";
			}
		}
?>
		<p align="center">
			<input name="RAZ" type="reset" id="RAZ" value="R&eacute;initialiser" onClick="javascript:; self.location.href=('<?PHP echo $url_link; ?>');">
		</p>
		</form>
		<!-- Fin du formulaire -->
<?PHP
		break;

	/******************************************************/
	/**                  OPERATEURS                      **/
	/******************************************************/

	case "ope" :
?>
		<!-- Scripts Javascript pour contrôle de formulaire -->
		<script	type="text/javascript" src="../jscript/vform/vform.js"></script>
		
		<script language="javascript">
		var tab1_champ=new Array(
			"nom:dep[] ; format:listem ; req:Y ; txt:Départements ; vmn:1 ; stok:frmok ; stbad:frmbad",
			"nom:sujet ; format:txt ; req:Y ; txt:Sujet ; lmx:50 ; stok:frmok ; stbad:frmbad");
		</script>
		
		<!-- Formulaire permettant la sélection des destinataires et l'envoi -->
		<form name="email_maj" id="email_maj" method="post" action="email_maj.php" onSubmit="javascript:; return (VForm(this,tab1_champ,''));">
			<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
			<input name="td" type="hidden" id="td" value="<?PHP echo $typdde ?>">
		
		<table width="100%"  border="0">
		<tr>
		<td width="20%" class="rubfrm" id="f_dep"><div align="right">Résidant dans</div></td>
		<td>
			<select name="dep[]" size="5" id="dep" multiple="multiple" onBlur="aff_dep();">
		
			<?PHP
			echo "<option>-- Choisissez un ou des département(s) --</option>";

			// Création de la liste des départements
			
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query("SELECT * FROM ".TBDEP." ORDER BY dep_num");
			
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				$chaine_dep = $dep_num." (".$dep_nom.")";
				
				if (dep_in_zc($dep_num,$dep) == TRUE)
					echo "<option value=\"".$dep_num."\" selected>".$chaine_dep."</option>";
				else
					echo "<option value=\"".$dep_num."\">".$chaine_dep."</option>";
				
				$i++;
			}
			mysql_free_result($rs);
			mysql_close($conn);
			?>
			</select>
			  <img src="../img/oblig.gif" width="10" height="11">
			 <span class="annot_petit_it">
			  (S&eacute;lectionnez les d&eacute;partements avec Ctrl + clic gauche)
			 <br>
			 D&eacute;partement(s) choisi(s) 
			 <input name="deptxt" type="text" id="deptxt" value="<?PHP echo $dep ?>" size="50" maxlength="50" readonly="1" style="background : #FFFFFF;" onFocus="window.document.age_maj.sujet.focus();">
			 </span>
			 <input name="OK" type="submit" id="OK" value="Rechercher">		
		</td>
		</tr>
		<tr>
		<td width="20%" class="rubfrm" id="f_sujet"><div align="right">Sujet du message</div></td>
		<td>
			<input name="sujet" type="text" id="sujet" size="50" maxlength="50" value="<?PHP echo $sujet; ?>">
			  <img src="../img/oblig.gif" width="10" height="11">
		</td>
		</tr>
		<tr>
		  <td width="20%" class="rubfrm" id="f_txt"><div align="right">Contenu du message</div></td>
		  <td>
			  <?PHP
					$sBasePath = $_SERVER['PHP_SELF'] ;
					$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "admin" ) ).'classes/fckeditor/' ;
		
					$oFCKeditor = new FCKeditor('FCKeditor1') ;
					$oFCKeditor->BasePath	= $sBasePath;
					$oFCKeditor->Value		= $txt;
					$oFCKeditor->Height 	= '400';
					$oFCKeditor->ToolbarSet = 'SMI';
					$oFCKeditor->Create();
		
				?>
			  <img src="../img/oblig.gif" width="10" height="11">
		  </td>
		 </tr>
		</table>
<?PHP
		// *** Affichage de la table
?>
			
		<p align="center" class="titre_gras_soul">Listes des opérateurs s&eacute;lectionn&eacute;s</p>
<?PHP
		$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
		mysql_select_db(DBNAME);
		$rech = "SELECT * FROM " .TBOPE. " WHERE ope_out = '0'";
		$rs = mysql_query($rech) or die(mysql_error());

		if (mysql_num_rows($rs) >0)
		{
			// Définition et entête de la table
			echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";

			echo "<th>";
			echo "Code";
			echo "</th>\n";
			echo "<th>";
			echo "Nom";
			echo "</th>\n";
			echo "<th>";
			echo "Téléphone";
			echo "</th>\n";
			echo "<th>";
			echo "CP";
			echo "</th>\n";
			echo "<th>";
			echo "Choisir";
			echo "</th>\n";
	
			$i = 0;
	
			while ($row = mysql_fetch_assoc($rs)) 
			{
				if ($dep <> "") 
				{
					$dep_tab = explode("-",$dep);
					
					if (in_array($row["ope_dep"],$dep_tab))
						$aff_ligne = TRUE;
					else
						$aff_ligne = FALSE;
				}
				else
					$aff_ligne = TRUE;	

				if ($aff_ligne == TRUE)
				{
					// Création de l'entête de ligne (TR)
					creetrlst($i);
	
					echo "<td>".$row["ope_code"];
					echo "</td>\n";
					echo "<td>";
					echo $row["ope_civilite"]." ".$row["ope_nom"]." ".$row["ope_prenom"];
					echo"</td>\n";
					echo "<td>".$row["ope_telf"]."</td>\n";
					echo "<td>".retournecp($row["ope_ville"])."</td>\n";
					echo "<td align=\"center\">\n";
					// On vient de demander une recherche ou c'est la 1ère fois : on active pas défaut
					if ((strip_tags(trim(@$_POST["OK"])) == "Rechercher") OR (strip_tags(trim(@$_GET['td'])) == "ope"))
					{
						echo "<input type=\"checkbox\" name=\"ope_choisi[]\" value=\"".$row["ope_id"]."\"";
						if($i%2 == 0)
							echo " style=\"background : #32CD32;\"";
						else
							echo " style=\"background : #00FF00;\"";
						echo" checked>";
					}
					else // Sinon on reprend en fonction de ce qui a été coché
					{
						echo "<input type=\"checkbox\" name=\"ope_choisi[]\"";
						if(verif_choix_ope($row["ope_id"])) 
							echo "checked ";
						if($i%2 == 0)
							echo " style=\"background : #32CD32;\"";
						else
							echo " style=\"background : #00FF00;\"";
						echo "value=\"".$row["ope_id"]."\">";
					}
					echo "</td>\n";
					echo "</tr>\n";
					
					$i++;
				}
			}  
			echo "</table>\n";
			// *** Fin affichage de la table
			
			$url_link = "email_maj.php?td=ope";
?>
			<p align="center">
				<input name="envoi" type="submit" id="envoi" value="Expédier">
			</p>
<?PHP
		}
		else
		{
			echo "Aucun opérateur actif sur ce(s) département(s).";
		}
?>
		<p align="center">
			<input name="RAZ" type="reset" id="RAZ" value="R&eacute;initialiser" onClick="javascript:; self.location.href=('<?PHP echo $url_link; ?>');">
		</p>
		</form>
		<!-- Fin du formulaire -->
<?PHP
		break;

	/******************************************************/
	/**                  TECHNICIENS                     **/
	/******************************************************/

	case "tec" :
?>
		<!-- Scripts Javascript pour contrôle de formulaire -->
		<script	type="text/javascript" src="../jscript/vform/vform.js"></script>
		
		<script language="javascript">
		var tab1_champ=new Array(
		<?PHP if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
		{
		?>
			"nom:age ; format:liste ; req:Y ; txt:Agence ; vmn:1 ; stok:frmok ; stbad:frmbad",
		<?PHP
		}
		else
		{
		?>
			"nom:age ; format:alphanum ; req:Y ; txt:Agence ; stok:frmok ; stbad:frmbad",
		<?PHP
		}
		?>
			"nom:dep[] ; format:listem ; req:N ; txt:Départements ; vmn:1 ; stok:frmok ; stbad:frmbad",
			"nom:sujet ; format:txt ; req:Y ; txt:Sujet ; lmx:50 ; stok:frmok ; stbad:frmbad");
		</script>
		
		<!-- Formulaire permettant la sélection des destinataires et l'envoi -->
		<form name="email_maj" id="email_maj" method="post" action="email_maj.php" onSubmit="javascript:; return (VForm(this,tab1_champ,''));">
			<input name="titre" type="hidden" id="titre" value="<?PHP echo $titre ?>">
			<input name="td" type="hidden" id="td" value="<?PHP echo $typdde ?>">
		
		<table width="100%"  border="0">
		<tr>
		  <td width="20%" class="rubfrm" id="f_age"><div align="right">Agence</div></td>
		  <td>
				<?PHP if (@$HTTP_SESSION_VARS["niv_log"] <> 4)
				{
				?>
					<select name="age" size="1" id="age">
					<?PHP
					
					echo "<option>-- Choisissez une agence --</option>";

					if ($age <> "TOUTES")
						echo "<option value=\"TOUTES\">-- TOUTES LES AGENCES --</option>";
					else
						echo "<option value=\"TOUTES\" selected>-- TOUTES LES AGENCES --</option>";

					// Création de la liste des agences
					$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
					mysql_select_db(DBNAME);
					$rs = mysql_query("SELECT * FROM ".TBAGE." WHERE `age_ouvert` = '1' ORDER BY age_nom");
					
					while ($resultat = mysql_fetch_array($rs)) 
					{
						extract($resultat);
			
						if ($age == $age_code)
						{
							echo '<option value="'.$age_code.'" selected>'.$age_nom.'</option>';
						}
						else
						{
							echo '<option value="'.$age_code.'">'.$age_nom.'</option>';
						}
			
						$i++;
					}
					mysql_free_result($rs);
					mysql_close($conn);
					?>
					</select>
					<br>
					<span class="annot_petit_it">
					(Ne s'afficheront que les techniciens salari&eacute;s)
					</span>
				<?PHP
				}
				else
				{
					$row = lit_enr_age($HTTP_SESSION_VARS["code_age"]);
					extract ($row);
				?>
					<input name="age" type="hidden" id="age" value="<?PHP echo $HTTP_SESSION_VARS["code_age"]; ?>">
					<input name="nagence" type="text" id="nagence" value="<?PHP echo $age_nom; ?>" size="50" maxlength="50" readonly="1">
				<?PHP
				}
				?>
			  <img src="../img/oblig.gif" width="10" height="11">
			</td>
		</tr>
		<tr>
		<td width="20%" class="rubfrm" id="f_dep"><div align="right">Résidant dans</div></td>
		<td>
			<select name="dep[]" size="5" id="dep" multiple="multiple" onBlur="aff_dep();">
		
			<?PHP
			echo "<option>-- Choisissez un ou des département(s) --</option>";

			// Création de la liste des départements
			
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			$rs = mysql_query("SELECT * FROM ".TBDEP." ORDER BY dep_num");
			
			while ($resultat = mysql_fetch_array($rs)) 
			{
				extract($resultat);
				$chaine_dep = $dep_num." (".$dep_nom.")";
				
				if (dep_in_zc($dep_num,$dep) == TRUE)
					echo "<option value=\"".$dep_num."\" selected>".$chaine_dep."</option>";
				else
					echo "<option value=\"".$dep_num."\">".$chaine_dep."</option>";
			}
			mysql_free_result($rs);
			mysql_close($conn);
			?>
			</select>
			 <span class="annot_petit_it">
			  (S&eacute;lectionnez les d&eacute;partements avec Ctrl + clic gauche)
			 <br>
			 D&eacute;partement(s) choisi(s) 
			 <input name="deptxt" type="text" id="deptxt" value="<?PHP echo $dep ?>" size="50" maxlength="50" readonly="1" style="background : #FFFFFF;" onFocus="window.document.age_maj.sujet.focus();">
			 </span>
			 <input name="OK" type="submit" id="OK" value="Rechercher">		
		</td>
		</tr>
		<tr>
		<td width="20%" class="rubfrm" id="f_sujet"><div align="right">Sujet du message</div></td>
		<td>
			<input name="sujet" type="text" id="sujet" size="50" maxlength="50" value="<?PHP echo $sujet; ?>">
			  <img src="../img/oblig.gif" width="10" height="11">
		</td>
		</tr>
		<tr>
		  <td width="20%" class="rubfrm" id="f_txt"><div align="right">Contenu du message</div></td>
		  <td>
			  <?PHP
					$sBasePath = $_SERVER['PHP_SELF'] ;
					if (@$HTTP_SESSION_VARS["niv_log"] >= 5)
						$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "admin" ) ).'classes/fckeditor/' ;
					else
						$sBasePath = substr( $sBasePath, 0, strpos( $sBasePath, "age" ) ).'classes/fckeditor/' ;
		
					$oFCKeditor = new FCKeditor('FCKeditor1') ;
					$oFCKeditor->BasePath	= $sBasePath;
					$oFCKeditor->Value		= $txt;
					$oFCKeditor->Height 	= '400';
					$oFCKeditor->ToolbarSet = 'SMI';
					$oFCKeditor->Create();
		
				?>
				  <img src="../img/oblig.gif" width="10" height="11">
		  </td>
		 </tr>
		</table>
<?PHP
		// *** Affichage de la table
		if ($age <> "")
		{
?>
			<p align="center" class="titre_gras_soul">Listes des techniciens s&eacute;lectionn&eacute;s</p>
<?PHP
			$conn = mysql_connect(DBHOST, DBUSER, DBPASS);
			mysql_select_db(DBNAME);
			if ($age <> "TOUTES")
				$rech = "SELECT * FROM " .TBTEC. " WHERE tec_out = '0' AND tec_codeage = '".$age."'";
			else
				$rech = "SELECT * FROM " .TBTEC. " WHERE tec_out = '0'";
			$rs = mysql_query($rech) or die(mysql_error());
	
			if (mysql_num_rows($rs) >0)
			{
				// Définition et entête de la table
				echo "<table class=\"Mtable\" border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
	
				echo "<th>";
				echo "Code";
				echo "</th>\n";
				echo "<th>";
				echo "Nom";
				echo "</th>\n";
				echo "<th>";
				echo "Téléphone";
				echo "</th>\n";
				echo "<th>";
				echo "CP";
				echo "</th>\n";
				echo "<th>";
				echo "Choisir";
				echo "</th>\n";
		
				$i = 0;
		
				while ($row = mysql_fetch_assoc($rs)) 
				{
					if ($dep <> "") 
					{
						$dep_tab = explode("-",$dep);
						
						if (in_array($row["tec_dep"],$dep_tab))
							$aff_ligne = TRUE;
						else
							$aff_ligne = FALSE;
					}
					else
						$aff_ligne = TRUE;	
	
					if ($aff_ligne == TRUE)
					{
						// Création de l'entête de ligne (TR)
						creetrlst($i);
		
						echo "<td>".$row["tec_code"];
						echo "</td>\n";
						echo "<td>";
						echo $row["tec_civilite"]." ".$row["tec_nom"]." ".$row["tec_prenom"];
						if (@$HTTP_SESSION_VARS["niv_log"] >= 5)
						{
							echo "<br>";
							echo "(Agence : ".$row["tec_codeage"].")";
						}
						echo"</td>\n";
						echo "<td>".$row["tec_telf"]."</td>\n";
						echo "<td>".retournecp($row["tec_ville"])."</td>\n";
						echo "<td align=\"center\">\n";
						// On vient de demander une recherche ou c'est la 1ère fois : on active pas défaut
						if ((strip_tags(trim(@$_POST["OK"])) == "Rechercher") OR (strip_tags(trim(@$_GET['td'])) == "tec"))
						{
							echo "<input type=\"checkbox\" name=\"tec_choisi[]\" value=\"".$row["tec_id"]."\"";
							if($i%2 == 0)
								echo " style=\"background : #32CD32;\"";
							else
								echo " style=\"background : #00FF00;\"";
							echo" checked>";
						}
						else // Sinon on reprend en fonction de ce qui a été coché
						{
							echo "<input type=\"checkbox\" name=\"tec_choisi[]\"";
							if(verif_choix_tec($row["tec_id"])) 
								echo "checked ";
							if($i%2 == 0)
								echo " style=\"background : #32CD32;\"";
							else
								echo " style=\"background : #00FF00;\"";
							echo "value=\"".$row["tec_id"]."\">";
						}
						echo "</td>\n";
						echo "</tr>\n";
						
						$i++;
					}
				}  
				echo "</table>\n";
				// *** Fin affichage de la table
				
				$url_link = "email_maj.php?td=tec";
	?>
				<p align="center">
					<input name="envoi" type="submit" id="envoi" value="Expédier">
				</p>
	<?PHP
			}
			else
			{
				echo "Aucun technicien actif sur ce(s) département(s) et/ou sur cette(ces) agence(s).";
			}
		}
?>
		<p align="center">
			<input name="RAZ" type="reset" id="RAZ" value="R&eacute;initialiser" onClick="javascript:; self.location.href=('<?PHP echo $url_link; ?>');">
		</p>
		</form>
		<!-- Fin du formulaire -->
		<script>
		// form fields description structure
		var a_fields = {
			'age':{'l':'Agence','r':true,'t':'f_age'},
			'dep':{'l':'Résidant sur le département','r':false,'f':'zc','t':'f_dep','mx':50},
			'sujet':{'l':'Sujet du message','r':false,'t':'f_sujet'}
		},
		
		o_config = {
			'to_disable' : ['submit', 'RAZ'],
			'alert' : 1
		}
		
		// validator constructor call
		var v = new validator('email_maj', a_fields, o_config);
		
		</script>
<?PHP
		break;
		default : break;
	}

	}
	else
	{
		if ($retourliste == TRUE)
		{
?>
			<script type="text/javascript">
			setTimeout("self.location.href=('index.php');",2000)
			</script>
			<p align="center" class="annot_std_it">Email correctement expédié...</p>
<?PHP
		}
	}
}
else
{
?>
	<script type="text/javascript">
	setTimeout("self.location.href=('index.php');",2000)
	</script>
	<p align="center" class="annot_std_it">Code catégorie d'emailing incorrecte...</p>
<?PHP
}
?>
<?php 
	include_once ("pied.php")
?>
